(function() {
  'use strict';

  modal();
  /*----------------------------------------
  modal
  ----------------------------------------*/
  function modal() {
    var scrollpos;

    $(".modal").each( function(){
      $(this).wrap('<div class="overlay"></div>')
    });

    $(".open-modal").on('click', function(e){
      e.preventDefault();
      e.stopImmediatePropagation;

      var $this = $(this),
          modal = $($this).data("modal");

      $(modal).parents(".overlay").addClass("open");
      setTimeout( function(){
        $(modal).addClass("open");
      }, 350);

      setTimeout( function(){
        scrollpos = $(window).scrollTop();
        $('body').addClass('stopscroll').css({'top': -scrollpos});
      }, 500);

      $(document).on('click', function(e){
        var target = $(e.target);

        if ($(target).hasClass("overlay")){
          $(target).find(".modal").each( function(){
            $(this).removeClass("open");
          });
          setTimeout( function(){
            $(target).removeClass("open");
          }, 350);

          $('body').removeClass('stopscroll').css({'top': 0});
          window.scrollTo( 0 , scrollpos );
        }
      });
    });

    $(".close-modal").on('click', function(e){
      e.preventDefault();
      e.stopImmediatePropagation;

      var $this = $(this),
          modal = $($this).data("modal");

      $(modal).removeClass("open");
      setTimeout( function(){
        $(modal).parents(".overlay").removeClass("open");
      }, 350);

      $('body').removeClass('stopscroll').css({'top': 0});
      window.scrollTo( 0 , scrollpos );
    });
  }

})(jQuery);
